<template>
  <div class="card-list bg-white rounded-large cursor-pointer">
    <div class="p-4 w-full">
      <span class="float-right uppercase relative right-0 text-xs text-secondary-maize p-1 border border-secondary-maize rounded">
        {{ item.deskripsiStatusOrder }}
      </span>

      <div class="hidden lg:flex pb-2">
        <div class="pl-12 text-xxs text-gray-light">
          {{ item.nomorOrder }}
        </div>
      </div>

      <div class="flex">
        <div class="flex w-8">
          <div
            class="flex rounded-full bg-primary-blue w-8 h-8 justify-center items-center"
            :class="
              `${
                item.statusOrder.toLowerCase() == 'cbu' ||
                item.statusOrder.toLowerCase() == 'cbd' ||
                item.statusOrder.toLowerCase() == 'fo' ||
                item.statusOrder.toLowerCase() == 'cba'
                  ? 'bg-gray-dark'
                  : 'bg-primary-blue'
              }`
            "
          >
            <i
              class="text-xl text-white text-center"
              :class="
                `${item.onBehalf ? 'icon-on-behalf' : 'icon-directions-car'}`
              "
            ></i>
          </div>
        </div>
        <div class="flex flex-col flex-grow ml-4">
          <div
            class="flex font-semibold font-avenir destination-lineclamp"
            :class="
              `${
                item.statusOrder.toLowerCase() == 'cbu' ||
                item.statusOrder.toLowerCase() == 'cbd' ||
                item.statusOrder.toLowerCase() == 'fo' ||
                item.statusOrder.toLowerCase() == 'cba'
                  ? 'text-gray-dark'
                  : 'text-primary-blue'
              }`
            "
          >
            {{ item.lokasiTujuan }}
          </div>
          <div
            class="flex text-xs pt-1"
            :class="
              `${
                item.statusOrder.toLowerCase() == 'cbu' ||
                item.statusOrder.toLowerCase() == 'cbd' ||
                item.statusOrder.toLowerCase() == 'fo' ||
                item.statusOrder.toLowerCase() == 'cba'
                  ? 'text-gray-dark'
                  : 'text-gray-text'
              }`
            "
          >
            {{
              item.tanggalPemakaian == null
                ? ""
                : $service.Formater.formatDate(item.tanggalPemakaian, item.jamPemakaian)
            }}
          </div>
        </div>
      </div>

      <div class="flex pl-12 pt-2">
        <div
          v-if="item.jenisOrder === `AD`"
          class="flex text-xs text-gray-light"
        >
          ADDITIONAL DRIVER
        </div>
        <div
          v-else
          class="flex text-xs text-gray-light"
        >
          {{
            $service.Formater.formatJenisOrder(
              item.jenisOrder,
              item.deskripsiJenisOrder,
              item.nomorRutin
            )
          }}
        </div>
      </div>

      <div
        v-if="item.onBehalf"
        class="flex pl-12 pt-2"
      >
        <div class="flex text-xs text-gray-light">
          ON BEHALF OF&nbsp;:&nbsp;
          <span class="text-gray-text">{{ item.namaUserPengguna }}</span>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
export default {
  props: {
    item: {
      type: Object,
      default: () => {
        return {};
      },
    },
  },

  methods: {},
};
</script>

<style lang="scss" scoped>
.card-list {
  box-shadow: 0 2px 10px 0 #eeeeee;
  transition: all 0.2s ease-in-out;
}

.card-list:hover {
  transform: scale(1.05);
  box-shadow: 0 4px 15px 0 #eeeeee;
}
</style>
